Subject: RE: [mobile-ip] Low Latency MIPv4 Handoffs: Relaying RegReplies v ia oFA

From: "Karim El-Malki (ERA)" <[email-masked]>
Date: Mon, 5 Nov 2001 12:04:27 +0100

> The PreReg proposal recommends that FAs solicit and cache each others
> advertisements, so they can proxy them for MNs during handover.
> However, during source-trigger network initiated handovers and
> MN initiated handovers,  there is no way for nFAs to know which
> FA is the oFA when a MN is handed over. This breaks the requirement
> that the nFA must send registration replies via oFA to the MN. How
> should this issue be resolved?

That's a good point, the nFA reply must be sent both on-link (when the MN
attaches) and to the old link (oFA). As it is now the only way to get
the reply through oFA would be to have the unicast reply go through the
HA/GFA in the source and mobile-initiated cases. So some bits need modifying
in the draft. The important thing is that the MN gets the reply somewhere
since it doesn't break the protocol if it doesn't get it in time before
it leaves oFA.

Instead one way to do the nFA-oFA tunnelling would be to add an LLA extension
for the oFA identifier to the MN's Registration Request. That adds some
complexity and I'm not sure if it gains us anything, since the MN may have
left the oFA link anyway by the time the reply arrives. Anyone have a strong
opinion?

/Karim

---

From: Jonathan Wood <[email-masked]>
Date: Mon, 5 Nov 2001 17:42:55 -0800 (PST)

> HA/GFA in the source and mobile-initiated cases. So some bits need modifying

Actually for the HA case the HA will have already pointed its tunnel at
nFA (as a result of the registration request), so the registration reply
will end back up at nFA. Not sure about the GFA case...

> left the oFA link anyway by the time the reply arrives. Anyone have a strong

The alternative is for nFA to hold on to the registration reply until
the MN's link-up L2 trigger appears, and then deliver the reg reply.
This actually seems even more complex than adding an LLA extension
for oFA, since nFA will need to maintain a reg reply table, aging
and flushing it as appropriate.

Jonathan

---

From: "Karim El-Malki (ERA)" <[email-masked]>
Date: Tue, 6 Nov 2001 17:15:49 +0100

> and flushing it as appropriate.

In some systems it may be no use to get the reply over to oFA since
the MN will detach immediately and go to nFA. So the nFA has to anyway
send the reply as its first packet to the MN following a link-up (L2-UP)
at nFA. It could be done keeping a table or it could be done putting
the reply in a MN buffer. It doesn't have to be too complex. Putting
the LLA extension on the MN Registration would allow in addition
a copy of the reply to be sent through oFA at the old link. Without
this, it seems, the reply can only reach the MN at the new link.

I think it's probably easier to have the Reply only sent through the new
link (nFA). The MN then changes default router as soon as it gets the
reply once connected to nFA.

/Karim